# (c) 2019 Christophe Gueneau
from microbit import *

class mb_md22():
    def __init__(self, num_mode):
        sleep(10)
        self.set_register(0x00, num_mode)
        sleep(10)

    def set_register(self, reg, val):
        val = bytes((reg, val))
        i2c.write(0x58, val)

    def vit_dir(self, vit, dir):
        self.set_register(0x01, vit)
        self.set_register(0x02, dir)

    def vit_m1(self, vit):
        self.set_register(0x01, vit)

    def vit_m2(self, vit):
        self.set_register(0x02, vit)
